package org.rcisoft.business.manage.service;

import org.rcisoft.business.manage.entity.BusSaving;
import org.rcisoft.core.aop.PageUtil;
import org.rcisoft.core.model.PersistModel;

import java.util.List;

/**
 * Created by JiChao on 2018/5/17.
 */
public interface BusSavingService {

    /**
     * 保存
     * @return
     */
    Integer save(BusSaving busSaving);

    /**
     * 修改
     * @return
     */
    Integer update(BusSaving busSaving);

    /**
     * 删除
     * @return
     */
    Integer delete(String id);

    /**
     * 分页查询
     * @return
     */
    List<BusSaving> findAllByPagination(PageUtil<BusSaving> paginationUtility);

    /**
     * 查询单条
     * @param id
     * @return
     */
    BusSaving findBusSaving(String id);
}
